Bug 254583 - x11/libxkbcommon: evdev support and portlint warning fix
Summary: x11/libxkbcommon: evdev support and portlint warning fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-03-26 17:07 UTC by Evgeniy Khramtsov
Modified: 2021-04-09 10:48 UTC (History)
1 user (show)

See Also:


Attachments
patch (405 bytes, patch)
2021-03-26 17:07 UTC, Evgeniy Khramtsov
no flags Details | Diff
evdev and ldconfig patch (3.65 KB, patch)
2021-03-27 14:57 UTC, Evgeniy Khramtsov
no flags Details | Diff
v3 (3.16 KB, patch)
2021-03-28 11:51 UTC, Evgeniy Khramtsov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Khramtsov 2021-03-26 17:07:37 UTC
Created attachment 223614 [details]
patch

Make portlint -A quiet by adding USE_LDCONFIG to the port.

sway 0.16-RC & wlroots-0.13-RC runtime under FreeBSD 14.0: OK
poudriere bulk && poudriere testport: OK
Comment 1 Evgeniy Khramtsov 2021-03-26 17:09:14 UTC
I've forgot about PORTREVISION again, sorry.
Comment 2 Evgeniy Khramtsov 2021-03-27 14:57:17 UTC
Created attachment 223641 [details]
evdev and ldconfig patch
Comment 3 Evgeniy Khramtsov 2021-03-27 15:01:39 UTC
Inspired by: jbeich@ https://codeberg.org/dnkl/foot/commit/3ac107ce821f
Comment 4 Evgeniy Khramtsov 2021-03-28 11:51:57 UTC
Created attachment 223662 [details]
v3

Upstream switched from epoll to poll() for xkbcli interactive-evdev.
Comment 5 Jan Beich freebsd_committer 2021-04-09 03:23:39 UTC
Thanks for contacting upstream. I've batched this with an update in review D29664.
Comment 6 commit-hook freebsd_committer 2021-04-09 10:47:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fbbe346848cb3b421cba1697e76dbacf041509b9

commit fbbe346848cb3b421cba1697e76dbacf041509b9
Author:     Evgeniy Khramtsov <2khramtsov@gmail.com>
AuthorDate: 2021-03-26 17:07:37 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-04-09 10:45:27 +0000

    x11/libxkbcommon: pet portlint via USE_LDCONFIG

    $ portlint -C
    WARN: /usr/ports/x11/libxkbcommon/pkg-plist: [10]: installing shared libraries, please define USE_LDCONFIG as appropriate
    WARN: /usr/ports/x11/libxkbcommon/pkg-plist: [13]: installing shared libraries, please define USE_LDCONFIG as appropriate
    WARN: /usr/ports/x11/libxkbcommon/pkg-plist: [16]: installing shared libraries, please define USE_LDCONFIG as appropriate
    0 fatal errors and 3 warnings found.

    PR:             254583
    Approved by:    manu
    Differential Revision:  https://reviews.freebsd.org/D29664

 x11/libxkbcommon/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 7 commit-hook freebsd_committer 2021-04-09 10:47:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0bb8b2074a0f24a1373b40d133383266d4b3a5f0

commit 0bb8b2074a0f24a1373b40d133383266d4b3a5f0
Author:     Evgeniy Khramtsov <2khramtsov@gmail.com>
AuthorDate: 2021-03-28 11:51:57 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-04-09 10:45:27 +0000

    x11/libxkbcommon: expose evdev(4) support in xkbcli

    $ sudo xkbcli interactive-evdev
    keysyms [ h                ] unicode [ h ] layout [ English (US) (0) ] level [ 0 ] mods [ ] leds [ ]
    keysyms [ i                ] unicode [ i ] layout [ English (US) (0) ] level [ 0 ] mods [ ] leds [ ]

    PR:             254583
    Approved by:    manu
    Differential Revision:  https://reviews.freebsd.org/D29664

 x11/libxkbcommon/Makefile  | 14 +++++++++++---
 x11/libxkbcommon/distinfo  |  4 ++++
 x11/libxkbcommon/pkg-plist |  2 ++
 3 files changed, 17 insertions(+), 3 deletions(-)